using System;

namespace Demo02
{
	class Class1
	{
		static void Main(string[] args)
		{
      Test a = new Test();
      Test b = new Test(7);
      Test c = new Test("Hallo", 17);

      using(Test d = new Test(10))
      {
        Console.WriteLine(d);
        // Hier d benutzen
      } // Hier wird automatisch Dispose aufgerufen

      //Console.WriteLine(d);       // Fehler
		}
	}

  class Test : IDisposable
  {
    public Test()
    {
      Console.WriteLine("Im Default-Konstruktor");
    }

    public Test(int iWert)
    {
      Console.WriteLine("Im zweiten Konstruktor: {0}", iWert);
    }

    public Test(string strName, int iWert)
    {
      Console.WriteLine("Im dritten Konstruktor: {0} - {1}", strName, iWert);
    }

    ~Test()
    {
      // Resourcen freigeben
      Console.WriteLine("Im Destruktor");
    }
    #region IDisposable Members

    public void Dispose()
    {
      // Resourcen freigeben
      Console.WriteLine("In der Dispose-Methode");
      GC.SuppressFinalize(this);  // Mitteilung an Garbage Collector
    }

    #endregion
  }
}
