using System;

namespace Demo13
{
  public delegate void EventHandlerX(object sender, EventArgs e);

  class Class1
  {
    static void Main(string[] args)
    {
      LoginDialog dlg = new LoginDialog();

      dlg.Simulate();

    }
  }

  class Button
  {
    public event EventHandlerX ClickX;

    public void ClickIt()
    {
      ClickX(this, new EventArgs());
    }
  }

  class LoginDialog
  {
    public Button btnOK;

    public LoginDialog()
    {
      btnOK = new Button();
      btnOK.ClickX += new EventHandlerX(ButtonOKClick);
    }

    public void Simulate()
    {
      btnOK.ClickIt();
    }

    void ButtonOKClick(object sender, EventArgs e)
    {
      Console.WriteLine("Angeklickt! Sender: {0}", sender);
    }
  }
}
