using System;

namespace Demo14
{
	class Class1
	{
		static void Main(string[] args)
		{
      BitArray a = new BitArray(100);

      Console.WriteLine("Lnge des Arrays: {0}", a.Length);

      for(int i = 0; i < 99; i += 2)
      {
        a[i] = true;
        a[i + 1] = false;
      }

      for(int j = 0; j < 100; j++)
      {
        Console.Write(a[j] + "  ");
      }

      Console.WriteLine();
		}
	}

  class BitArray
  {
    int[] iBits;
    int iLength;

    public BitArray(int len)
    {
      if(len > 0)
      {
        iBits = new int[((len - 1) >> 5) + 1];
        iLength = len;
      }
      else
      {
        iBits = null;
      }
    }

    public int Length
    {
      get
      {
        return iLength;
      }
    }

    public bool this[int iIndex]
    {
      get
      {
        return (iBits[iIndex >> 5] & 1 << iIndex) != 0;
      }
      set
      {
        if(value)
        {
          iBits[iIndex >> 5] |= 1 << iIndex;
        }
        else
        {
          iBits[iIndex >> 5] &= ~(1 << iIndex);
        }
      }
    }
  }
}
