using System;
using System.Collections.Generic;
using System.Text;

namespace Test
{
  class Program
  {
    static void Main(string[] args)
    {
      Console.WriteLine("Anzahl: {0}", args.Length);

      MyClass m1 = new MyClass();
      MyClass m2 = new MyClass("Hallo");

      m1.Name = "TheName";
      Console.WriteLine(m1.Name);

      double d = CalcMeth(m1);

      Type t = d.GetType();
      Console.WriteLine(t.Name);

      Type tt = m1.GetType();
      Console.WriteLine(tt.Name);

      // Indexer

      string strText = "hallo";
      
      for (int k = 0; k < strText.Length; k++)
      {
        Console.WriteLine(strText[k]);
      }
    }

    private static double CalcMeth(MyClass m1)
    {
      double d = m1.CalcX(4.5);
      Console.WriteLine(d);

      d = m1.CalcX(5.5, 4.5);
      Console.WriteLine(d);
      return d;
    }
  }

  class MyClass : Test.IMyClass
  {
    private string strName;
    double dd = 5.7;

    public double PropD
    {
      get { return dd; }
      set { dd = value; }
    }

    public MyClass()
    {
      strName = "<empty>";
    }

    public MyClass(string s)
    {
      strName = s;
    }

    ~MyClass()
    {
      // Nur wenn man ihn braucht
    }

    // Property
    public string Name
    {
      get { return strName; }
      set { strName = value; }
    }

    // Methode
    public double CalcX(double dWert)
    {
      return dWert * 2.0 * Math.PI * dd * CalcItBaby(dWert);
    }

    public double CalcX(double d1, double d2)
    {
      return (Math.Sqrt(d1 + d2));
    }

    private double CalcItBaby(double d0)
    {
      double x = d0 * 2.0 + Math.Sqrt(d0);

      return x;
    }
  }
}
