using System;

namespace Demo10
{
  class Class1
  {
    static void Main(string[] args)
    {
      try
      {
        MyException eee = new MyException("Hallo");
        eee.ErrorNumber = 17;
        throw eee;
      }
      catch(MyException ex)
      {
        Console.WriteLine("Fehler: " + ex.Message + "   Nummer: " + ex.ErrorNumber);
      }
      catch(Exception ex)
      {
        Console.WriteLine("Fehler: " + ex.Message);
      }
    }
  }

  public class MyException : ApplicationException
  {
    public int iFehlerNummer = -1;

    public MyException() : base()
    {
    }

    public MyException(string m) : base(m)
    {
    }

    public MyException(int n) : base()
    {
      iFehlerNummer = n;
    }

    public MyException(string m, int n) : base(m)
    {
      iFehlerNummer = n;
    }

    public int ErrorNumber
    {
      get { return iFehlerNummer; }
      set { iFehlerNummer = value; }
    }
  }
}
