using System;
using System.Runtime.InteropServices;

namespace Generic1
{
	class Class1
	{
    [STAThread]
		static void Main(string[] args)
		{
      Stack<int> sti = new Stack<int>();
      Stack<double> std = new Stack<double>();
      Stack<double> std2 = new Stack<double>();

      sti.Push(1);
      sti.Push(2);
      std.Push(1.1);
      std.Push(1.2);
      std.Push(3);

      Console.WriteLine("sti: {0}   {1}   {2}\nstd: {3}   {4}", 
        sti.Pop(), sti.Pop(), std.Pop(), std.Pop(), std.Pop());

      // sti.Push(1.2);                         // Fehler !
      // Console.WriteLine(sti.GetType());
      // Console.WriteLine(typeof(Stack));      // Fehler !
      // Console.WriteLine(typeof(Stack<double>));
    }
	}

  class Stack<MyType>
  {
    MyType [] arrData = new MyType[10];
    int iCount;

    public Stack()
    {
      iCount = 0;
    }

    public void Push(MyType t)
    {
      arrData[iCount] = t;
      iCount++;
    }

    public MyType Pop()
    {
      MyType t = arrData[iCount - 1];

      iCount--;

      return t;
    }

    public int Count
    {
      get
      {
        return iCount;
      }
    }
  }
}
