using System;
using System.Collections.Generic;

namespace Generic1
{
	class Class1
	{
		[STAThread]
		static void Main(string[] args)
		{
      Stack<int> stint = new Stack<int>();

      stint.Push(3);
      stint.Push(5);
      stint.Push(-3);

      foreach (int iWert in stint)
      {
        Console.WriteLine(iWert);
      }
    }
	}

  class Stack<MyType>
  {
    MyType [] arrData = new MyType[10];
    int iCount;

    public Stack()
    {
      iCount = 0;
    }

    public IEnumerator<MyType> GetEnumerator()
    {
      for (int i = iCount - 1; i >= 0; i--)
      {
        yield return arrData[i];
      }
    }

    public void Push(MyType t)
    {
      arrData[iCount] = t;
      iCount++;
    }

    public MyType Pop()
    {
      MyType t = arrData[iCount - 1];

      iCount--;

      return t;
    }

    public int Count
    {
      get
      {
        return iCount;
      }
    }
  }
}
