using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WinTest
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void beendenToolStripMenuItem_Click(object sender, EventArgs e)
    {
      DialogResult res = MessageBox.Show(
        Properties.Resources.BeendenText,
        Properties.Resources.TitelText, 
        MessageBoxButtons.YesNo,
        MessageBoxIcon.Question);

      if (res == DialogResult.Yes)
      {
        this.Close();
      }
    }

    private void neuToolStripMenuItem_Click(object sender, EventArgs e)
    {
      ColorDialog dlg = new ColorDialog();

      dlg.Color = this.BackColor;
      dlg.FullOpen = true;

      if (dlg.ShowDialog() == DialogResult.OK)
      {
        this.BackColor = dlg.Color;
      }
    }

    private void optionenToolStripMenuItem_Click(object sender, EventArgs e)
    {
      Optionen dlg = new Optionen();

      dlg.Anzahl = 100;

      if (dlg.ShowDialog() == DialogResult.OK)
      {
        MessageBox.Show(dlg.Anzahl.ToString());
        textBoxSearch.Text = dlg.Anzahl.ToString();
      }
      else
      {
        MessageBox.Show("Abbrechen");
      }
    }

    private void timer1_Tick(object sender, EventArgs e)
    {
      //DateTime dt = DateTime.Now;
      //string strOut = dt.ToString();
      //statusDate.Text = strOut;
      statusDate.Text = DateTime.Now.ToString();

      if (statusProg.Value < 100)
      {
        statusProg.Value++;
      }
      else
      {
        statusProg.Value = 0;
      }
    }

    private void buttonSearch_Click(object sender, EventArgs e)
    {
      MessageBox.Show(textBoxSearch.Text);
    }
  }
}