using System;
using System.Threading;

namespace Thread1
{
  public class MathClass2
  {
    private int iStart, iEnde;
    private double dSum;

    public Thread Calculate(int i1, int i2)
    {
      iStart = i1;
      iEnde = i2;

      Thread th = new Thread(new ThreadStart(CalcBackground));
      
      return th;
    }

    private void CalcBackground()
    {
      dSum = 0.0;

      for(int i = iStart; i < iEnde; i++)
      {
        dSum += Math.Sqrt(i);
      }
    }

    public double Result
    {
      get
      {
        return dSum;
      }
    }
  }

  public class class1
  {
    static void Main(string[] args)
    {
      int iTime = Environment.TickCount;

      MathClass2 mc1 = new MathClass2();
      Thread th1 = mc1.Calculate(0, 50000000);
      th1.Start();

      MathClass2 mc2 = new MathClass2();
      Thread th2 = mc2.Calculate(50000000, 100000000);
      th2.Start();

      th1.Join();
      th2.Join();

      iTime = Environment.TickCount - iTime;

      Console.WriteLine("Thread 1: Rckgabewert: {0}", mc1.Result);
      Console.WriteLine("Thread 2: Rckgabewert: {0}", mc2.Result);

      Console.WriteLine("Gesamtergebnis: {0}", mc1.Result + mc2.Result);
      Console.WriteLine("Rechenzeit: {0} msek", iTime);
    }
  }
}
