using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Input;
using System.Diagnostics;

namespace RoutedCmd
{
  /// <summary>
  /// Interaction logic for Window1.xaml
  /// </summary>

  public partial class Window1 : Window
  {
    string strText = "ABC";
    string strHelp = "X";

    public Window1()
    {
      InitializeComponent();

      CommandBinding cmdNew = new CommandBinding(ApplicationCommands.New);
      cmdNew.Executed += NewHandler;
      cmdNew.CanExecute += NewCanExecHandler;
      CommandBindings.Add(cmdNew);
    }

    private void NewHandler(object sender, ExecutedRoutedEventArgs e)
    {
      string strHelp = "Wollen Sie wirklich alles lschen?";

      if (MessageBox.Show(strHelp, "Test", MessageBoxButton.YesNo) == MessageBoxResult.Yes)
      {
        strText = "";
      }
    }

    private void NewCanExecHandler(object sender, CanExecuteRoutedEventArgs e)
    {
      e.CanExecute = (strText.Length > 0);
      Debug.WriteLine(strHelp + " " + DateTime.Now.ToString());
      strHelp += "X";
    }

    private void ExitHandler(object sender, RoutedEventArgs e)
    {
      this.Close();
    }
  }
}