// Form1.cs
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Integration;


namespace HostingAnAvalonControl 
{
  public partial class Form1 : Form 
  {
    public Form1() 
    {
      InitializeComponent();
      
      System.Windows.Controls.Button avButton = new System.Windows.Controls.Button();
      avButton.Height = wfButton.Height - wfButton.Margin.Top - wfButton.Margin.Bottom;
      avButton.Width = wfButton.Width - wfButton.Margin.Left - wfButton.Margin.Right;
      avButton.Content = "Avalon Button";
      avButton.RenderTransform = new System.Windows.Media.RotateTransform(150, avButton.Width / 2.0, avButton.Height / 2.0);
      avButton.Background = new System.Windows.Media.LinearGradientBrush(System.Windows.Media.Colors.White, System.Windows.Media.Colors.Red, new System.Windows.Point(0, 0), new System.Windows.Point(1, 1));
      avButton.Click += avButton_Click;

      ElementHost host = new ElementHost();
      host.Dock = DockStyle.Fill;
      host.Controls.Add(avButton);

      rightGroup.Controls.Add(host);
    }

    private void wfButton_Click(object sender, EventArgs e) 
    {
      System.Windows.Forms.MessageBox.Show("Hello from Windows Forms!", "Hello");
    }

    void avButton_Click(object sender, System.Windows.RoutedEventArgs e) 
    {
      System.Windows.MessageBox.Show("Hello from Avalon!", "Hello");
    }

  }
}
