using System;

namespace Demo17
{
  struct RGB
  {
    // Folgende Farben werden fr das ganze Programm
    // nur einmal angelegt!
    public static readonly RGB RED = new RGB(255, 0, 0);
    public static readonly RGB GREEN = new RGB(0, 255, 0);
    public static readonly RGB BLUE = new RGB(0, 0, 255);

    public int iRed;
    public int iGreen;
    public int iBlue;

    //public RGB() { }  // Fehler! Default-Konstruktor nicht mglich

    public RGB(int r, int g, int b)
    {
      iRed = r;
      iGreen = g;
      iBlue = b;
    }

    public override string ToString()
    {
      return string.Format("[R:{0}, G:{1}, B:{2}]", iRed, iGreen, iBlue);
    }
  }

	class Class1
	{
		static void Main(string[] args)
		{
      RGB rgb;

      rgb.iRed = 255;
      rgb.iGreen = 127;
      rgb.iBlue = 0;
      Console.WriteLine(rgb.ToString());

      RGB rgb2 = new RGB(127, 127, 127);
      Console.WriteLine(rgb2.ToString());

      RGB rgb3 = RGB.BLUE;
      Console.WriteLine(rgb3.ToString());
		}
	}
}
