using System;

namespace Demo01
{
	class Class1
	{
		static void Main(string[] args)
		{
      Test a = new Test();
      Test b = new Test("Bernd");

      Console.WriteLine(a.Name);
      Console.WriteLine(b.Name);

      a.Name = "Ludwig";
      Console.WriteLine(a.Name);

      if(a.GetType() == typeof(Test))
      {
        Console.WriteLine("Ja");
      }

      if(a.GetType() == typeof(ITest))
      {
        Console.WriteLine("****");
      }

      if(a is ITest)
      {
        Console.WriteLine("Schnittstelle ist da!");
      }

      a.Loeschen();
		}
	}

  interface ITest
  {
    string Name { get; set; }
    void Loeschen();
  }

  class Test : ITest
  {
    private string strName;

    public Test()
    {
      strName = "*";
    }

    public Test(string n)
    {
      strName = n;
    }
    #region IntTest Members

    public string Name
    {
      get
      {
        // TODO:  Add Test.Name getter implementation
        return strName;
      }
      set
      {
        // TODO:  Add Test.Name setter implementation
        strName = value;
      }
    }

    public void Loeschen()
    {
      // TODO:  Add Test.Loeschen implementation
      strName = string.Empty;
    }

    #endregion
  }
}
