﻿#region Using directives

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using System.Collections.Generic;
using System.Diagnostics;

#endregion

namespace Demo08
{
  partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void buttonBeenden_Click(object sender, EventArgs e)
    {
      this.Close();
    }

    private void buttonGen_Click(object sender, EventArgs e)
    {
      this.Cursor = Cursors.WaitCursor;

      Stopwatch sw = new Stopwatch();
      sw.Start();

      Stack<int> stiGen = new Stack<int>();
      int iSum = 0;

      for (int i = 0; i < 10000000; i++)
      {
        stiGen.Push(i);
      }

      for (int i = 0; i < 10000000; i++)
      {
        iSum += stiGen.Pop();
      }

      sw.Stop();
      textBoxGen.Text = sw.ElapsedMilliseconds.ToString();

      this.Cursor = Cursors.Default;
    }

    private void buttonCol_Click(object sender, EventArgs e)
    {
      this.Cursor = Cursors.WaitCursor;

      int iTime = Environment.TickCount;

      Stack stiCol = new Stack();
      int iSum = 0;

      for (int i = 0; i < 10000000; i++)
      {
        stiCol.Push(i);
      }

      for (int i = 0; i < 10000000; i++)
      {
        iSum += (int) stiCol.Pop();
      }

      iTime = Environment.TickCount - iTime;
      textBoxCol.Text = iTime.ToString();

      this.Cursor = Cursors.Default;
    }
  }
}