using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Resources;
using System.Threading;
using System.Globalization;

namespace LocTest
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
    private System.Windows.Forms.MainMenu mainMenu;
    private System.Windows.Forms.MenuItem menuDatei;
    private System.Windows.Forms.MenuItem menuItemNeu;
    private System.Windows.Forms.MenuItem menuItemOeffnen;
    private System.Windows.Forms.MenuItem menuItem1;
    private System.Windows.Forms.MenuItem menuItemBeenden;
    private System.Windows.Forms.MenuItem menuBearbeiten;
    private System.Windows.Forms.MenuItem menuItemLoeschen;
    private System.Windows.Forms.ImageList imageList;
    private System.Windows.Forms.ToolBar toolBar1;
    private System.Windows.Forms.MenuItem menuItemOptionen;
    private System.Windows.Forms.ToolBarButton toolBarButton1;
    private System.Windows.Forms.ToolBarButton toolBarButtonNeu;
    private System.Windows.Forms.ToolBarButton toolBarButton2;
    private System.Windows.Forms.ToolBarButton toolBarButtonBeenden;
    private System.ComponentModel.IContainer components;

    private int m_iAnz;
    private int m_iCol;
    private System.Windows.Forms.StatusBar statusBar;
    private System.Windows.Forms.StatusBarPanel statusBarPanel1;
    private System.Windows.Forms.StatusBarPanel statusBarPanel2;
    private System.Windows.Forms.Timer timer;
    private System.Windows.Forms.MenuItem menuExtras;
    private int m_iTyp;
    private System.Windows.Forms.MenuItem menuItemSprache;
    private System.Windows.Forms.MenuItem menuItemDeutsch;
    private System.Windows.Forms.MenuItem menuItemEnglisch;

    private Color[] colArray = new Color[] {Color.Black, Color.Red, Color.Green, Color.Blue, Color.Gray, Color.White};
      
    public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
      m_iAnz = 10;
      m_iTyp = 0;
      m_iCol = 0;

//      ResourceManager resources = new ResourceManager("LocTest.MyResource", this.GetType().Assembly);
//      BackgroundImage = Image.FromFile(resources.GetString("text.Filename"));
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
      this.components = new System.ComponentModel.Container();
      System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
      this.mainMenu = new System.Windows.Forms.MainMenu();
      this.menuDatei = new System.Windows.Forms.MenuItem();
      this.menuItemNeu = new System.Windows.Forms.MenuItem();
      this.menuItemOeffnen = new System.Windows.Forms.MenuItem();
      this.menuItem1 = new System.Windows.Forms.MenuItem();
      this.menuItemBeenden = new System.Windows.Forms.MenuItem();
      this.menuBearbeiten = new System.Windows.Forms.MenuItem();
      this.menuItemLoeschen = new System.Windows.Forms.MenuItem();
      this.menuExtras = new System.Windows.Forms.MenuItem();
      this.menuItemOptionen = new System.Windows.Forms.MenuItem();
      this.menuItemSprache = new System.Windows.Forms.MenuItem();
      this.menuItemDeutsch = new System.Windows.Forms.MenuItem();
      this.menuItemEnglisch = new System.Windows.Forms.MenuItem();
      this.imageList = new System.Windows.Forms.ImageList(this.components);
      this.toolBar1 = new System.Windows.Forms.ToolBar();
      this.toolBarButton1 = new System.Windows.Forms.ToolBarButton();
      this.toolBarButtonNeu = new System.Windows.Forms.ToolBarButton();
      this.toolBarButton2 = new System.Windows.Forms.ToolBarButton();
      this.toolBarButtonBeenden = new System.Windows.Forms.ToolBarButton();
      this.statusBar = new System.Windows.Forms.StatusBar();
      this.statusBarPanel1 = new System.Windows.Forms.StatusBarPanel();
      this.statusBarPanel2 = new System.Windows.Forms.StatusBarPanel();
      this.timer = new System.Windows.Forms.Timer(this.components);
      ((System.ComponentModel.ISupportInitialize)(this.statusBarPanel1)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.statusBarPanel2)).BeginInit();
      this.SuspendLayout();
      // 
      // mainMenu
      // 
      this.mainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
                                                                             this.menuDatei,
                                                                             this.menuBearbeiten,
                                                                             this.menuExtras,
                                                                             this.menuItemSprache});
      this.mainMenu.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("mainMenu.RightToLeft")));
      // 
      // menuDatei
      // 
      this.menuDatei.Enabled = ((bool)(resources.GetObject("menuDatei.Enabled")));
      this.menuDatei.Index = 0;
      this.menuDatei.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
                                                                              this.menuItemNeu,
                                                                              this.menuItemOeffnen,
                                                                              this.menuItem1,
                                                                              this.menuItemBeenden});
      this.menuDatei.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuDatei.Shortcut")));
      this.menuDatei.ShowShortcut = ((bool)(resources.GetObject("menuDatei.ShowShortcut")));
      this.menuDatei.Text = resources.GetString("menuDatei.Text");
      this.menuDatei.Visible = ((bool)(resources.GetObject("menuDatei.Visible")));
      // 
      // menuItemNeu
      // 
      this.menuItemNeu.Enabled = ((bool)(resources.GetObject("menuItemNeu.Enabled")));
      this.menuItemNeu.Index = 0;
      this.menuItemNeu.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemNeu.Shortcut")));
      this.menuItemNeu.ShowShortcut = ((bool)(resources.GetObject("menuItemNeu.ShowShortcut")));
      this.menuItemNeu.Text = resources.GetString("menuItemNeu.Text");
      this.menuItemNeu.Visible = ((bool)(resources.GetObject("menuItemNeu.Visible")));
      // 
      // menuItemOeffnen
      // 
      this.menuItemOeffnen.Enabled = ((bool)(resources.GetObject("menuItemOeffnen.Enabled")));
      this.menuItemOeffnen.Index = 1;
      this.menuItemOeffnen.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemOeffnen.Shortcut")));
      this.menuItemOeffnen.ShowShortcut = ((bool)(resources.GetObject("menuItemOeffnen.ShowShortcut")));
      this.menuItemOeffnen.Text = resources.GetString("menuItemOeffnen.Text");
      this.menuItemOeffnen.Visible = ((bool)(resources.GetObject("menuItemOeffnen.Visible")));
      // 
      // menuItem1
      // 
      this.menuItem1.Enabled = ((bool)(resources.GetObject("menuItem1.Enabled")));
      this.menuItem1.Index = 2;
      this.menuItem1.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItem1.Shortcut")));
      this.menuItem1.ShowShortcut = ((bool)(resources.GetObject("menuItem1.ShowShortcut")));
      this.menuItem1.Text = resources.GetString("menuItem1.Text");
      this.menuItem1.Visible = ((bool)(resources.GetObject("menuItem1.Visible")));
      // 
      // menuItemBeenden
      // 
      this.menuItemBeenden.Enabled = ((bool)(resources.GetObject("menuItemBeenden.Enabled")));
      this.menuItemBeenden.Index = 3;
      this.menuItemBeenden.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemBeenden.Shortcut")));
      this.menuItemBeenden.ShowShortcut = ((bool)(resources.GetObject("menuItemBeenden.ShowShortcut")));
      this.menuItemBeenden.Text = resources.GetString("menuItemBeenden.Text");
      this.menuItemBeenden.Visible = ((bool)(resources.GetObject("menuItemBeenden.Visible")));
      this.menuItemBeenden.Click += new System.EventHandler(this.menuItemBeenden_Click);
      // 
      // menuBearbeiten
      // 
      this.menuBearbeiten.Enabled = ((bool)(resources.GetObject("menuBearbeiten.Enabled")));
      this.menuBearbeiten.Index = 1;
      this.menuBearbeiten.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
                                                                                   this.menuItemLoeschen});
      this.menuBearbeiten.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuBearbeiten.Shortcut")));
      this.menuBearbeiten.ShowShortcut = ((bool)(resources.GetObject("menuBearbeiten.ShowShortcut")));
      this.menuBearbeiten.Text = resources.GetString("menuBearbeiten.Text");
      this.menuBearbeiten.Visible = ((bool)(resources.GetObject("menuBearbeiten.Visible")));
      // 
      // menuItemLoeschen
      // 
      this.menuItemLoeschen.Enabled = ((bool)(resources.GetObject("menuItemLoeschen.Enabled")));
      this.menuItemLoeschen.Index = 0;
      this.menuItemLoeschen.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemLoeschen.Shortcut")));
      this.menuItemLoeschen.ShowShortcut = ((bool)(resources.GetObject("menuItemLoeschen.ShowShortcut")));
      this.menuItemLoeschen.Text = resources.GetString("menuItemLoeschen.Text");
      this.menuItemLoeschen.Visible = ((bool)(resources.GetObject("menuItemLoeschen.Visible")));
      // 
      // menuExtras
      // 
      this.menuExtras.Enabled = ((bool)(resources.GetObject("menuExtras.Enabled")));
      this.menuExtras.Index = 2;
      this.menuExtras.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
                                                                               this.menuItemOptionen});
      this.menuExtras.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuExtras.Shortcut")));
      this.menuExtras.ShowShortcut = ((bool)(resources.GetObject("menuExtras.ShowShortcut")));
      this.menuExtras.Text = resources.GetString("menuExtras.Text");
      this.menuExtras.Visible = ((bool)(resources.GetObject("menuExtras.Visible")));
      // 
      // menuItemOptionen
      // 
      this.menuItemOptionen.Enabled = ((bool)(resources.GetObject("menuItemOptionen.Enabled")));
      this.menuItemOptionen.Index = 0;
      this.menuItemOptionen.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemOptionen.Shortcut")));
      this.menuItemOptionen.ShowShortcut = ((bool)(resources.GetObject("menuItemOptionen.ShowShortcut")));
      this.menuItemOptionen.Text = resources.GetString("menuItemOptionen.Text");
      this.menuItemOptionen.Visible = ((bool)(resources.GetObject("menuItemOptionen.Visible")));
      this.menuItemOptionen.Click += new System.EventHandler(this.menuItemOptionen_Click);
      // 
      // menuItemSprache
      // 
      this.menuItemSprache.Enabled = ((bool)(resources.GetObject("menuItemSprache.Enabled")));
      this.menuItemSprache.Index = 3;
      this.menuItemSprache.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
                                                                                    this.menuItemDeutsch,
                                                                                    this.menuItemEnglisch});
      this.menuItemSprache.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemSprache.Shortcut")));
      this.menuItemSprache.ShowShortcut = ((bool)(resources.GetObject("menuItemSprache.ShowShortcut")));
      this.menuItemSprache.Text = resources.GetString("menuItemSprache.Text");
      this.menuItemSprache.Visible = ((bool)(resources.GetObject("menuItemSprache.Visible")));
      // 
      // menuItemDeutsch
      // 
      this.menuItemDeutsch.Enabled = ((bool)(resources.GetObject("menuItemDeutsch.Enabled")));
      this.menuItemDeutsch.Index = 0;
      this.menuItemDeutsch.RadioCheck = true;
      this.menuItemDeutsch.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemDeutsch.Shortcut")));
      this.menuItemDeutsch.ShowShortcut = ((bool)(resources.GetObject("menuItemDeutsch.ShowShortcut")));
      this.menuItemDeutsch.Text = resources.GetString("menuItemDeutsch.Text");
      this.menuItemDeutsch.Visible = ((bool)(resources.GetObject("menuItemDeutsch.Visible")));
      this.menuItemDeutsch.Click += new System.EventHandler(this.menuItemDeutsch_Click);
      // 
      // menuItemEnglisch
      // 
      this.menuItemEnglisch.Enabled = ((bool)(resources.GetObject("menuItemEnglisch.Enabled")));
      this.menuItemEnglisch.Index = 1;
      this.menuItemEnglisch.RadioCheck = true;
      this.menuItemEnglisch.Shortcut = ((System.Windows.Forms.Shortcut)(resources.GetObject("menuItemEnglisch.Shortcut")));
      this.menuItemEnglisch.ShowShortcut = ((bool)(resources.GetObject("menuItemEnglisch.ShowShortcut")));
      this.menuItemEnglisch.Text = resources.GetString("menuItemEnglisch.Text");
      this.menuItemEnglisch.Visible = ((bool)(resources.GetObject("menuItemEnglisch.Visible")));
      this.menuItemEnglisch.Click += new System.EventHandler(this.menuItemEnglisch_Click);
      // 
      // imageList
      // 
      this.imageList.ImageSize = ((System.Drawing.Size)(resources.GetObject("imageList.ImageSize")));
      this.imageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList.ImageStream")));
      this.imageList.TransparentColor = System.Drawing.Color.Transparent;
      // 
      // toolBar1
      // 
      this.toolBar1.AccessibleDescription = resources.GetString("toolBar1.AccessibleDescription");
      this.toolBar1.AccessibleName = resources.GetString("toolBar1.AccessibleName");
      this.toolBar1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("toolBar1.Anchor")));
      this.toolBar1.Appearance = ((System.Windows.Forms.ToolBarAppearance)(resources.GetObject("toolBar1.Appearance")));
      this.toolBar1.AutoSize = ((bool)(resources.GetObject("toolBar1.AutoSize")));
      this.toolBar1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("toolBar1.BackgroundImage")));
      this.toolBar1.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
                                                                                this.toolBarButton1,
                                                                                this.toolBarButtonNeu,
                                                                                this.toolBarButton2,
                                                                                this.toolBarButtonBeenden});
      this.toolBar1.ButtonSize = ((System.Drawing.Size)(resources.GetObject("toolBar1.ButtonSize")));
      this.toolBar1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("toolBar1.Dock")));
      this.toolBar1.DropDownArrows = ((bool)(resources.GetObject("toolBar1.DropDownArrows")));
      this.toolBar1.Enabled = ((bool)(resources.GetObject("toolBar1.Enabled")));
      this.toolBar1.Font = ((System.Drawing.Font)(resources.GetObject("toolBar1.Font")));
      this.toolBar1.ImageList = this.imageList;
      this.toolBar1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("toolBar1.ImeMode")));
      this.toolBar1.Location = ((System.Drawing.Point)(resources.GetObject("toolBar1.Location")));
      this.toolBar1.Name = "toolBar1";
      this.toolBar1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("toolBar1.RightToLeft")));
      this.toolBar1.ShowToolTips = ((bool)(resources.GetObject("toolBar1.ShowToolTips")));
      this.toolBar1.Size = ((System.Drawing.Size)(resources.GetObject("toolBar1.Size")));
      this.toolBar1.TabIndex = ((int)(resources.GetObject("toolBar1.TabIndex")));
      this.toolBar1.TextAlign = ((System.Windows.Forms.ToolBarTextAlign)(resources.GetObject("toolBar1.TextAlign")));
      this.toolBar1.Visible = ((bool)(resources.GetObject("toolBar1.Visible")));
      this.toolBar1.Wrappable = ((bool)(resources.GetObject("toolBar1.Wrappable")));
      this.toolBar1.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.toolBar1_ButtonClick);
      // 
      // toolBarButton1
      // 
      this.toolBarButton1.Enabled = ((bool)(resources.GetObject("toolBarButton1.Enabled")));
      this.toolBarButton1.ImageIndex = ((int)(resources.GetObject("toolBarButton1.ImageIndex")));
      this.toolBarButton1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
      this.toolBarButton1.Text = resources.GetString("toolBarButton1.Text");
      this.toolBarButton1.ToolTipText = resources.GetString("toolBarButton1.ToolTipText");
      this.toolBarButton1.Visible = ((bool)(resources.GetObject("toolBarButton1.Visible")));
      // 
      // toolBarButtonNeu
      // 
      this.toolBarButtonNeu.Enabled = ((bool)(resources.GetObject("toolBarButtonNeu.Enabled")));
      this.toolBarButtonNeu.ImageIndex = ((int)(resources.GetObject("toolBarButtonNeu.ImageIndex")));
      this.toolBarButtonNeu.Text = resources.GetString("toolBarButtonNeu.Text");
      this.toolBarButtonNeu.ToolTipText = resources.GetString("toolBarButtonNeu.ToolTipText");
      this.toolBarButtonNeu.Visible = ((bool)(resources.GetObject("toolBarButtonNeu.Visible")));
      // 
      // toolBarButton2
      // 
      this.toolBarButton2.Enabled = ((bool)(resources.GetObject("toolBarButton2.Enabled")));
      this.toolBarButton2.ImageIndex = ((int)(resources.GetObject("toolBarButton2.ImageIndex")));
      this.toolBarButton2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
      this.toolBarButton2.Text = resources.GetString("toolBarButton2.Text");
      this.toolBarButton2.ToolTipText = resources.GetString("toolBarButton2.ToolTipText");
      this.toolBarButton2.Visible = ((bool)(resources.GetObject("toolBarButton2.Visible")));
      // 
      // toolBarButtonBeenden
      // 
      this.toolBarButtonBeenden.Enabled = ((bool)(resources.GetObject("toolBarButtonBeenden.Enabled")));
      this.toolBarButtonBeenden.ImageIndex = ((int)(resources.GetObject("toolBarButtonBeenden.ImageIndex")));
      this.toolBarButtonBeenden.Text = resources.GetString("toolBarButtonBeenden.Text");
      this.toolBarButtonBeenden.ToolTipText = resources.GetString("toolBarButtonBeenden.ToolTipText");
      this.toolBarButtonBeenden.Visible = ((bool)(resources.GetObject("toolBarButtonBeenden.Visible")));
      // 
      // statusBar
      // 
      this.statusBar.AccessibleDescription = resources.GetString("statusBar.AccessibleDescription");
      this.statusBar.AccessibleName = resources.GetString("statusBar.AccessibleName");
      this.statusBar.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("statusBar.Anchor")));
      this.statusBar.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("statusBar.BackgroundImage")));
      this.statusBar.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("statusBar.Dock")));
      this.statusBar.Enabled = ((bool)(resources.GetObject("statusBar.Enabled")));
      this.statusBar.Font = ((System.Drawing.Font)(resources.GetObject("statusBar.Font")));
      this.statusBar.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("statusBar.ImeMode")));
      this.statusBar.Location = ((System.Drawing.Point)(resources.GetObject("statusBar.Location")));
      this.statusBar.Name = "statusBar";
      this.statusBar.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
                                                                                 this.statusBarPanel1,
                                                                                 this.statusBarPanel2});
      this.statusBar.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("statusBar.RightToLeft")));
      this.statusBar.ShowPanels = true;
      this.statusBar.Size = ((System.Drawing.Size)(resources.GetObject("statusBar.Size")));
      this.statusBar.TabIndex = ((int)(resources.GetObject("statusBar.TabIndex")));
      this.statusBar.Text = resources.GetString("statusBar.Text");
      this.statusBar.Visible = ((bool)(resources.GetObject("statusBar.Visible")));
      // 
      // statusBarPanel1
      // 
      this.statusBarPanel1.Alignment = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("statusBarPanel1.Alignment")));
      this.statusBarPanel1.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring;
      this.statusBarPanel1.Icon = ((System.Drawing.Icon)(resources.GetObject("statusBarPanel1.Icon")));
      this.statusBarPanel1.MinWidth = ((int)(resources.GetObject("statusBarPanel1.MinWidth")));
      this.statusBarPanel1.Text = resources.GetString("statusBarPanel1.Text");
      this.statusBarPanel1.ToolTipText = resources.GetString("statusBarPanel1.ToolTipText");
      this.statusBarPanel1.Width = ((int)(resources.GetObject("statusBarPanel1.Width")));
      // 
      // statusBarPanel2
      // 
      this.statusBarPanel2.Alignment = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("statusBarPanel2.Alignment")));
      this.statusBarPanel2.Icon = ((System.Drawing.Icon)(resources.GetObject("statusBarPanel2.Icon")));
      this.statusBarPanel2.MinWidth = ((int)(resources.GetObject("statusBarPanel2.MinWidth")));
      this.statusBarPanel2.Text = resources.GetString("statusBarPanel2.Text");
      this.statusBarPanel2.ToolTipText = resources.GetString("statusBarPanel2.ToolTipText");
      this.statusBarPanel2.Width = ((int)(resources.GetObject("statusBarPanel2.Width")));
      // 
      // timer
      // 
      this.timer.Enabled = true;
      this.timer.Tick += new System.EventHandler(this.timer_Tick);
      // 
      // Form1
      // 
      this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
      this.AccessibleName = resources.GetString("$this.AccessibleName");
      this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
      this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
      this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
      this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
      this.BackColor = System.Drawing.SystemColors.HighlightText;
      this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
      this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
      this.Controls.Add(this.statusBar);
      this.Controls.Add(this.toolBar1);
      this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
      this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
      this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
      this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
      this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
      this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
      this.Menu = this.mainMenu;
      this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
      this.Name = "Form1";
      this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
      this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
      this.Text = resources.GetString("$this.Text");
      this.SizeChanged += new System.EventHandler(this.Form1_SizeChanged);
      this.Paint += new System.Windows.Forms.PaintEventHandler(this.Form1_Paint);
      ((System.ComponentModel.ISupportInitialize)(this.statusBarPanel1)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.statusBarPanel2)).EndInit();
      this.ResumeLayout(false);

    }
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
      Application.Run(new Form1());
		}

    private void menuItemBeenden_Click(object sender, System.EventArgs e)
    {
      Close();
    }

    private void toolBar1_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
    {
      if(e.Button == toolBarButtonNeu)
      {
      }
      else if(e.Button == toolBarButtonBeenden)
      {
        menuItemBeenden_Click(sender, e);
      }
    }

    private void Form1_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
    {
      ResourceManager resources = new ResourceManager("LocTest.MyResource", this.GetType().Assembly);

      if(m_iAnz > 0)
      {
        Graphics g = e.Graphics;
        Pen pen = new Pen(colArray[m_iCol]);

        for(int i = 0; i < m_iAnz; i++)
        {
          if(m_iTyp == 0)
          {
            g.DrawLine(pen, new Point(i * 10, Height / 4), new Point(i * 10 + 200, Height * 3 / 4));
            statusBarPanel1.Text = resources.GetString("text.Linien");   
          }
          else if(m_iTyp == 1)
          {
            g.DrawEllipse(pen, i * 10, Height / 4, 200, Height / 2);
            statusBarPanel1.Text = resources.GetString("text.Kreise");   
          }
        }
      }
    }

    private void Form1_SizeChanged(object sender, System.EventArgs e)
    {
      Invalidate();
    }

    private void timer_Tick(object sender, System.EventArgs e)
    {
      DateTime dt = DateTime.Now;
      statusBarPanel2.Text = dt.ToString();
    }

    private void menuItemOptionen_Click(object sender, System.EventArgs e)
    {
      Optionen dlg = new Optionen();

      dlg.Anzahl = m_iAnz;
      dlg.Typ = m_iTyp;
      dlg.Farbe = m_iCol;

      dlg.ShowDialog();

      if(dlg.DialogResult == DialogResult.OK)
      {
        m_iAnz = dlg.Anzahl;
        m_iTyp = dlg.Typ;
        m_iCol = dlg.Farbe;

        Invalidate();
      }
    }

    private void menuItemEnglisch_Click(object sender, System.EventArgs e)
    {
      SetLanguage("en-US");
    }

    private void menuItemDeutsch_Click(object sender, System.EventArgs e)
    {
      SetLanguage("de");
    }

    private void SetLanguage(string strLang)
    {
      Point pt = this.Location;
      Size sz = this.Size;
      
      Thread.CurrentThread.CurrentUICulture = new CultureInfo(strLang);
      this.Controls.Clear();
      this.Events.Dispose();
      InitializeComponent();
      
      this.Size = sz;
      this.Location = pt;
    }
	}
}








