using System;
using System.Threading;

namespace Thread1
{
  public class MathClass2
  {
    public double dSum;
    public static int iCount;

    public void Calculate()
    {
      Interlocked.Increment(ref iCount);
      dSum = 0.0;

      for(int i = 0; i < 100000000; i++)
      {
        dSum += Math.Sqrt(i);
      }

      Interlocked.Decrement(ref iCount);
    }
  }

  public class class1
  {
    [STAThread]
    static void Main(string[] args)
    {
      MathClass2 mc1 = new MathClass2();
      Thread th1 = new Thread(new ThreadStart(mc1.Calculate));
      MathClass2 mc2 = new MathClass2();
      Thread th2 = new Thread(new ThreadStart(mc2.Calculate));
      MathClass2 mc3 = new MathClass2();
      Thread th3 = new Thread(new ThreadStart(mc3.Calculate));
      MathClass2 mc4 = new MathClass2();
      Thread th4 = new Thread(new ThreadStart(mc4.Calculate));
      MathClass2 mc5 = new MathClass2();
      Thread th5 = new Thread(new ThreadStart(mc5.Calculate));
      
      th1.Start();
      th2.Start();
      th3.Start();
      th4.Start();
      th5.Start();

      for(int i = 0; i < 100; i++)
      {
        Thread.Sleep(50);
        Console.Write("{0} ", MathClass2.iCount);
      }

      th1.Join();
      th2.Join();
      th3.Join();
      th4.Join();
      th5.Join();

      Console.WriteLine("\nRckgabewert: {0}", mc1.dSum);
    }
  }
}
