using System;
using System.Threading;
using System.Runtime.CompilerServices;

namespace Thread1
{
  public class MathClass
  {
    public static double dSum;

    [MethodImpl(MethodImplOptions.Synchronized)]
    public static void Calculate()
    {
      Console.WriteLine("Calculate luft.");

      for(int i = 0; i < 100000000; i++)
      {
        dSum += Math.Sqrt(i);
      }

      Console.WriteLine("Calculate fertig. Resultat = {0}", dSum);
    }
  }

	class Class1
	{
		[STAThread]
		static void Main(string[] args)
		{
      Thread th = new Thread(new ThreadStart(MathClass.Calculate));
      Thread th2 = new Thread(new ThreadStart(MathClass.Calculate));
       
      int iTime = Environment.TickCount;

      th.Start();
      th2.Start();
      th.Join();   
      th2.Join();

      iTime = Environment.TickCount - iTime;

      Console.WriteLine("Flche ist: {0}", MathClass.dSum);
      Console.WriteLine(iTime);
    }
	}
}
