using System;
using System.Threading;

namespace Thread1
{
  unsafe public class MathClass2
  {
    private int iStart, iEnde;
    private double* pdSum;

    public Thread Calculate(int i1, int i2, double* pd)
    {
      iStart = i1;
      iEnde = i2;
      pdSum = pd;

      Thread th = new Thread(new ThreadStart(CalcBackground));
        
      return th;
    }

    private void CalcBackground()
    {
      *pdSum = 0.0;

      for(int i = iStart; i < iEnde; i++)
      {
        *pdSum += Math.Sqrt(i); 
      }
    }
  }

  public class class1
  {
    [STAThread]
    static void Main(string[] args)
    {
      double dSum = 0.0;

      MathClass2 mc1 = new MathClass2();
      Thread th1;
      unsafe { th1 = mc1.Calculate(0, 50000000, &dSum); }
      th1.Start();

      MathClass2 mc2 = new MathClass2();
      Thread th2;
      unsafe { th2 = mc2.Calculate(50000000, 100000000, &dSum); }
      th2.Start();

      th1.Join();
      th2.Join();

      // ACHTUNG: Falsches Ergebnis, da mit einem Zeiger
      // auf die Variable "dSum" gearbeitet wird. Der
      // Zeiger zeigt in beiden Threads auf die gleiche
      // Speicherstelle!!!

      Console.WriteLine("Gesamtergebnis: {0}", dSum);
    }
  }
}
