using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;


namespace SimpleBinding
{
  public partial class Window1 : Window
  {
    CarInfo ci;

    public Window1()
    {
      InitializeComponent();

      ci = new CarInfo();
      ci.Make = "BMW";
      ci.Model = "M3";

      this.DataContext = ci;

      this.Loaded += delegate
      {
        btnReadData.Click += new RoutedEventHandler(btnReadData_Click);
      };
    }

    void btnReadData_Click(object sender, RoutedEventArgs e)
    {
      MessageBox.Show(ci.Model, ci.Make);
    }
  }
}